import { IconName } from '../Icon';
import { EThemeGradients } from 'src/tokens/dion/tokens';
import type { EnumOrLiteral } from "shared/types/custom";
export declare enum EAvatarSize {
    XS = "xs",
    S = "s",
    M = "m",
    L = "l",
    XL = "xl",
    XXL = "xxl",
    XXXL = "xxxl"
}
export declare enum EAvatarVariant {
    ROUNDED = "rounded",
    SQUARE = "square"
}
export declare enum EAvatarColors {
    ERROR = "error",
    INFO = "info",
    SUCCESS = "success",
    WARNING = "warning",
    ELEVATION_0 = "elevation0",
    ELEVATION_1 = "elevation1",
    ELEVATION_2 = "elevation2",
    ELEVATION_3 = "elevation3",
    ON_BRAND = "onBrand",
    BRAND = "brand",
    BLUE_ELEVATION_1 = "blueElevation1",
    BLUE_ELEVATION_2 = "blueElevation2"
}
interface AvatarProps {
    size?: EnumOrLiteral<EAvatarSize>;
    variant?: EnumOrLiteral<EAvatarVariant>;
    gradient?: EnumOrLiteral<EThemeGradients>;
    imageSrc?: string;
    desc?: string;
    color?: EnumOrLiteral<EAvatarColors>;
    iconName?: IconName;
}
declare const AvatarSimple: (props: AvatarProps) => import("react/jsx-runtime").JSX.Element;
export default AvatarSimple;
export type { AvatarProps };
