import * as React from 'react';
import { IconName } from '../Icon';
import { EButtonColors } from '../Button';
import type { EnumOrLiteral } from "shared/types/custom";
export declare enum EInputSize {
    L = "l",
    M = "m"
}
export declare enum EInputStatus {
    DEFAULT = "default",
    SUCCESS = "success",
    ERROR = "error",
    DISABLED = "disabled",
    READONLY = "readOnly"
}
type IconPosition = 'start' | 'end';
type EventHandler<T = HTMLInputElement> = (event: React.FocusEvent<T>) => void;
type InputProps = {
    size?: EnumOrLiteral<EInputSize>;
    status?: EnumOrLiteral<EInputStatus>;
    placeholder?: string;
    label?: string;
    additionalText?: string;
    maxLength?: number;
    endIcon?: IconName;
    startIcon?: IconName;
    value?: string;
    width?: number;
    fullWidth?: boolean;
    onChange: (string: any) => void;
    onEndIconClick?: () => void;
    onStartIconClick?: () => void;
    startIconPosition?: IconPosition;
    endIconPosition?: IconPosition;
    color: EnumOrLiteral<EButtonColors>;
    ref?: React.ForwardedRef<HTMLDivElement>;
    refHeight?: number;
    inputRef?: React.ForwardedRef<HTMLDivElement>;
    multiline?: boolean;
    minRows?: number;
    maxRows?: number;
    onFocus?: EventHandler;
    onBlur?: EventHandler;
    onKeyUp?: (event: React.KeyboardEvent<HTMLInputElement>) => void;
};
declare const Input: React.ForwardRefExoticComponent<Omit<InputProps, "ref"> & React.RefAttributes<unknown>>;
export default Input;
export { type InputProps };
